CRUX-ARM : Home

Home :: Documentation :: Download :: Development :: Community :: Ports :: Packages :: Bugs :: Links :: About :: Donors
sylpheed: cleaned up
[attic/ports/opt-cross.git] / sylpheed / sylpheed-3.0.3-cross_compile.patch
CommitLineData
3cca951b
JB
1diff -purN sylpheed-3.0.3.orig/configure sylpheed-3.0.3/configure
2--- sylpheed-3.0.3.orig/configure 2010-11-01 18:00:58.000000000 +0000
3+++ sylpheed-3.0.3/configure 2010-11-02 07:44:40.000000000 +0000
4@@ -20651,252 +20651,16 @@ fi
5 { echo "$as_me:$LINENO: checking for GLIB - version >= $min_glib_version" >&5
6 echo $ECHO_N "checking for GLIB - version >= $min_glib_version... $ECHO_C" >&6; }
7
8- if test x$PKG_CONFIG != xno ; then
9- ## don't try to run the test against uninstalled libtool libs
10- if $PKG_CONFIG --uninstalled $pkg_config_args; then
11- echo "Will use uninstalled version of GLib found in PKG_CONFIG_PATH"
12- enable_glibtest=no
13- fi
14-
15- if $PKG_CONFIG --atleast-version $min_glib_version $pkg_config_args; then
16- :
17- else
18- no_glib=yes
19- fi
20- fi
21-
22- if test x"$no_glib" = x ; then
23- GLIB_GENMARSHAL=`$PKG_CONFIG --variable=glib_genmarshal glib-2.0`
24- GOBJECT_QUERY=`$PKG_CONFIG --variable=gobject_query glib-2.0`
25- GLIB_MKENUMS=`$PKG_CONFIG --variable=glib_mkenums glib-2.0`
26-
27- GLIB_CFLAGS=`$PKG_CONFIG --cflags $pkg_config_args`
28- GLIB_LIBS=`$PKG_CONFIG --libs $pkg_config_args`
29- glib_config_major_version=`$PKG_CONFIG --modversion glib-2.0 | \
30- sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
31- glib_config_minor_version=`$PKG_CONFIG --modversion glib-2.0 | \
32- sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
33- glib_config_micro_version=`$PKG_CONFIG --modversion glib-2.0 | \
34- sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
35- if test "x$enable_glibtest" = "xyes" ; then
36- ac_save_CFLAGS="$CFLAGS"
37- ac_save_LIBS="$LIBS"
38- CFLAGS="$CFLAGS $GLIB_CFLAGS"
39- LIBS="$GLIB_LIBS $LIBS"
40- rm -f conf.glibtest
41- if test "$cross_compiling" = yes; then
42- echo $ac_n "cross compiling; assumed OK... $ac_c"
43-else
44- cat >conftest.$ac_ext <<_ACEOF
45-/* confdefs.h. */
46-_ACEOF
47-cat confdefs.h >>conftest.$ac_ext
48-cat >>conftest.$ac_ext <<_ACEOF
49-/* end confdefs.h. */
50-
51-#include <glib.h>
52-#include <stdio.h>
53-#include <stdlib.h>
54-
55-int
56-main ()
57-{
58- int major, minor, micro;
59- char *tmp_version;
60-
61- system ("touch conf.glibtest");
62-
63- /* HP/UX 9 (%@#!) writes to sscanf strings */
64- tmp_version = g_strdup("$min_glib_version");
65- if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
66- printf("%s, bad version string\n", "$min_glib_version");
67- exit(1);
68- }
69-
70- if ((glib_major_version != $glib_config_major_version) ||
71- (glib_minor_version != $glib_config_minor_version) ||
72- (glib_micro_version != $glib_config_micro_version))
73- {
74- printf("\n*** 'pkg-config --modversion glib-2.0' returned %d.%d.%d, but GLIB (%d.%d.%d)\n",
75- $glib_config_major_version, $glib_config_minor_version, $glib_config_micro_version,
76- glib_major_version, glib_minor_version, glib_micro_version);
77- printf ("*** was found! If pkg-config was correct, then it is best\n");
78- printf ("*** to remove the old version of GLib. You may also be able to fix the error\n");
79- printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
80- printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
81- printf("*** required on your system.\n");
82- printf("*** If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH\n");
83- printf("*** to point to the correct configuration files\n");
84- }
85- else if ((glib_major_version != GLIB_MAJOR_VERSION) ||
86- (glib_minor_version != GLIB_MINOR_VERSION) ||
87- (glib_micro_version != GLIB_MICRO_VERSION))
88- {
89- printf("*** GLIB header files (version %d.%d.%d) do not match\n",
90- GLIB_MAJOR_VERSION, GLIB_MINOR_VERSION, GLIB_MICRO_VERSION);
91- printf("*** library (version %d.%d.%d)\n",
92- glib_major_version, glib_minor_version, glib_micro_version);
93- }
94- else
95- {
96- if ((glib_major_version > major) ||
97- ((glib_major_version == major) && (glib_minor_version > minor)) ||
98- ((glib_major_version == major) && (glib_minor_version == minor) && (glib_micro_version >= micro)))
99- {
100- return 0;
101- }
102- else
103- {
104- printf("\n*** An old version of GLIB (%d.%d.%d) was found.\n",
105- glib_major_version, glib_minor_version, glib_micro_version);
106- printf("*** You need a version of GLIB newer than %d.%d.%d. The latest version of\n",
107- major, minor, micro);
108- printf("*** GLIB is always available from ftp://ftp.gtk.org.\n");
109- printf("***\n");
110- printf("*** If you have already installed a sufficiently new version, this error\n");
111- printf("*** probably means that the wrong copy of the pkg-config shell script is\n");
112- printf("*** being found. The easiest way to fix this is to remove the old version\n");
113- printf("*** of GLIB, but you can also set the PKG_CONFIG environment to point to the\n");
114- printf("*** correct copy of pkg-config. (In this case, you will have to\n");
115- printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
116- printf("*** so that the correct libraries are found at run-time))\n");
117- }
118- }
119- return 1;
120-}
121-
122-_ACEOF
123-rm -f conftest$ac_exeext
124-if { (ac_try="$ac_link"
125-case "(($ac_try" in
126- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
127- *) ac_try_echo=$ac_try;;
128-esac
129-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
130- (eval "$ac_link") 2>&5
131- ac_status=$?
132- echo "$as_me:$LINENO: \$? = $ac_status" >&5
133- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
134- { (case "(($ac_try" in
135- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
136- *) ac_try_echo=$ac_try;;
137-esac
138-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
139- (eval "$ac_try") 2>&5
140- ac_status=$?
141- echo "$as_me:$LINENO: \$? = $ac_status" >&5
142- (exit $ac_status); }; }; then
143- :
144-else
145- echo "$as_me: program exited with status $ac_status" >&5
146-echo "$as_me: failed program was:" >&5
147-sed 's/^/| /' conftest.$ac_ext >&5
148-
149-( exit $ac_status )
150-no_glib=yes
151+if test "$cross_compiling" = yes; then
152+ enable_glibtest=no
153+ no_glib=
154+ GLIB_LIBS="$GLIB_LIBS"
155+ GLIB_CFLAGS="$GLIB_CFLAGS"
156+ LIBS="$GLIB_LIBS $LIBS"
157+ CFLAGS="$GLIB_CFLAGS $CFLAGS"
158+ echo "$as_me:$LINENO: result: yes" >&5
159+ echo "${ECHO_T}yes" >&6
160 fi
161-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
162-fi
163-
164-
165- CFLAGS="$ac_save_CFLAGS"
166- LIBS="$ac_save_LIBS"
167- fi
168- fi
169- if test "x$no_glib" = x ; then
170- { echo "$as_me:$LINENO: result: yes (version $glib_config_major_version.$glib_config_minor_version.$glib_config_micro_version)" >&5
171-echo "${ECHO_T}yes (version $glib_config_major_version.$glib_config_minor_version.$glib_config_micro_version)" >&6; }
172- :
173- else
174- { echo "$as_me:$LINENO: result: no" >&5
175-echo "${ECHO_T}no" >&6; }
176- if test "$PKG_CONFIG" = "no" ; then
177- echo "*** A new enough version of pkg-config was not found."
178- echo "*** See http://www.freedesktop.org/software/pkgconfig/"
179- else
180- if test -f conf.glibtest ; then
181- :
182- else
183- echo "*** Could not run GLIB test program, checking why..."
184- ac_save_CFLAGS="$CFLAGS"
185- ac_save_LIBS="$LIBS"
186- CFLAGS="$CFLAGS $GLIB_CFLAGS"
187- LIBS="$LIBS $GLIB_LIBS"
188- cat >conftest.$ac_ext <<_ACEOF
189-/* confdefs.h. */
190-_ACEOF
191-cat confdefs.h >>conftest.$ac_ext
192-cat >>conftest.$ac_ext <<_ACEOF
193-/* end confdefs.h. */
194-
195-#include <glib.h>
196-#include <stdio.h>
197-
198-int
199-main ()
200-{
201- return ((glib_major_version) || (glib_minor_version) || (glib_micro_version));
202- ;
203- return 0;
204-}
205-_ACEOF
206-rm -f conftest.$ac_objext conftest$ac_exeext
207-if { (ac_try="$ac_link"
208-case "(($ac_try" in
209- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
210- *) ac_try_echo=$ac_try;;
211-esac
212-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
213- (eval "$ac_link") 2>conftest.er1
214- ac_status=$?
215- grep -v '^ *+' conftest.er1 >conftest.err
216- rm -f conftest.er1
217- cat conftest.err >&5
218- echo "$as_me:$LINENO: \$? = $ac_status" >&5
219- (exit $ac_status); } && {
220- test -z "$ac_c_werror_flag" ||
221- test ! -s conftest.err
222- } && test -s conftest$ac_exeext &&
223- $as_test_x conftest$ac_exeext; then
224- echo "*** The test program compiled, but did not run. This usually means"
225- echo "*** that the run-time linker is not finding GLIB or finding the wrong"
226- echo "*** version of GLIB. If it is not finding GLIB, you'll need to set your"
227- echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
228- echo "*** to the installed location Also, make sure you have run ldconfig if that"
229- echo "*** is required on your system"
230- echo "***"
231- echo "*** If you have an old version installed, it is best to remove it, although"
232- echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"
233-else
234- echo "$as_me: failed program was:" >&5
235-sed 's/^/| /' conftest.$ac_ext >&5
236-
237- echo "*** The test program failed to compile or link. See the file config.log for the"
238- echo "*** exact error that occured. This usually means GLIB is incorrectly installed."
239-fi
240-
241-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
242- conftest$ac_exeext conftest.$ac_ext
243- CFLAGS="$ac_save_CFLAGS"
244- LIBS="$ac_save_LIBS"
245- fi
246- fi
247- GLIB_CFLAGS=""
248- GLIB_LIBS=""
249- GLIB_GENMARSHAL=""
250- GOBJECT_QUERY=""
251- GLIB_MKENUMS=""
252- { { echo "$as_me:$LINENO: error: Test for GLib failed. See the 'INSTALL' for help." >&5
253-echo "$as_me: error: Test for GLib failed. See the 'INSTALL' for help." >&2;}
254- { (exit 1); exit 1; }; }
255- fi
256-
257-
258-
259-
260-
261- rm -f conf.glibtest
262-
263
264 # Extract the first word of "glib-genmarshal", so it can be a program name with args.
265 set dummy glib-genmarshal; ac_word=$2
266@@ -21017,243 +20781,17 @@ fi
267 { echo "$as_me:$LINENO: checking for GTK+ - version >= $min_gtk_version" >&5
268 echo $ECHO_N "checking for GTK+ - version >= $min_gtk_version... $ECHO_C" >&6; }
269
270- if test x$PKG_CONFIG != xno ; then
271- ## don't try to run the test against uninstalled libtool libs
272- if $PKG_CONFIG --uninstalled $pkg_config_args; then
273- echo "Will use uninstalled version of GTK+ found in PKG_CONFIG_PATH"
274- enable_gtktest=no
275- fi
276-
277- if $PKG_CONFIG --atleast-version $min_gtk_version $pkg_config_args; then
278- :
279- else
280- no_gtk=yes
281- fi
282+ if test "$cross_compiling" = yes; then
283+ enable_gtktest=no
284+ no_gtk=
285+ GTK_CFLAGS="$GTK_CFLAGS"
286+ GTK_LIBS="$GTK_LIBS"
287+ CFLAGS="$CFLAGS $GTK_CFLAGS"
288+ LIBS="$GTK_LIBS $LIBS"
289+ echo "$as_me:$LINENO: result: yes" >&5
290+ echo "${ECHO_T}yes" >&6
291 fi
292
293- if test x"$no_gtk" = x ; then
294- GTK_CFLAGS=`$PKG_CONFIG $pkg_config_args --cflags`
295- GTK_LIBS=`$PKG_CONFIG $pkg_config_args --libs`
296- gtk_config_major_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
297- sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
298- gtk_config_minor_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
299- sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
300- gtk_config_micro_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
301- sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
302- if test "x$enable_gtktest" = "xyes" ; then
303- ac_save_CFLAGS="$CFLAGS"
304- ac_save_LIBS="$LIBS"
305- CFLAGS="$CFLAGS $GTK_CFLAGS"
306- LIBS="$GTK_LIBS $LIBS"
307- rm -f conf.gtktest
308- if test "$cross_compiling" = yes; then
309- echo $ac_n "cross compiling; assumed OK... $ac_c"
310-else
311- cat >conftest.$ac_ext <<_ACEOF
312-/* confdefs.h. */
313-_ACEOF
314-cat confdefs.h >>conftest.$ac_ext
315-cat >>conftest.$ac_ext <<_ACEOF
316-/* end confdefs.h. */
317-
318-#include <gtk/gtk.h>
319-#include <stdio.h>
320-#include <stdlib.h>
321-
322-int
323-main ()
324-{
325- int major, minor, micro;
326- char *tmp_version;
327-
328- system ("touch conf.gtktest");
329-
330- /* HP/UX 9 (%@#!) writes to sscanf strings */
331- tmp_version = g_strdup("$min_gtk_version");
332- if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
333- printf("%s, bad version string\n", "$min_gtk_version");
334- exit(1);
335- }
336-
337- if ((gtk_major_version != $gtk_config_major_version) ||
338- (gtk_minor_version != $gtk_config_minor_version) ||
339- (gtk_micro_version != $gtk_config_micro_version))
340- {
341- printf("\n*** 'pkg-config --modversion gtk+-2.0' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n",
342- $gtk_config_major_version, $gtk_config_minor_version, $gtk_config_micro_version,
343- gtk_major_version, gtk_minor_version, gtk_micro_version);
344- printf ("*** was found! If pkg-config was correct, then it is best\n");
345- printf ("*** to remove the old version of GTK+. You may also be able to fix the error\n");
346- printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
347- printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
348- printf("*** required on your system.\n");
349- printf("*** If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH\n");
350- printf("*** to point to the correct configuration files\n");
351- }
352- else if ((gtk_major_version != GTK_MAJOR_VERSION) ||
353- (gtk_minor_version != GTK_MINOR_VERSION) ||
354- (gtk_micro_version != GTK_MICRO_VERSION))
355- {
356- printf("*** GTK+ header files (version %d.%d.%d) do not match\n",
357- GTK_MAJOR_VERSION, GTK_MINOR_VERSION, GTK_MICRO_VERSION);
358- printf("*** library (version %d.%d.%d)\n",
359- gtk_major_version, gtk_minor_version, gtk_micro_version);
360- }
361- else
362- {
363- if ((gtk_major_version > major) ||
364- ((gtk_major_version == major) && (gtk_minor_version > minor)) ||
365- ((gtk_major_version == major) && (gtk_minor_version == minor) && (gtk_micro_version >= micro)))
366- {
367- return 0;
368- }
369- else
370- {
371- printf("\n*** An old version of GTK+ (%d.%d.%d) was found.\n",
372- gtk_major_version, gtk_minor_version, gtk_micro_version);
373- printf("*** You need a version of GTK+ newer than %d.%d.%d. The latest version of\n",
374- major, minor, micro);
375- printf("*** GTK+ is always available from ftp://ftp.gtk.org.\n");
376- printf("***\n");
377- printf("*** If you have already installed a sufficiently new version, this error\n");
378- printf("*** probably means that the wrong copy of the pkg-config shell script is\n");
379- printf("*** being found. The easiest way to fix this is to remove the old version\n");
380- printf("*** of GTK+, but you can also set the PKG_CONFIG environment to point to the\n");
381- printf("*** correct copy of pkg-config. (In this case, you will have to\n");
382- printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
383- printf("*** so that the correct libraries are found at run-time))\n");
384- }
385- }
386- return 1;
387-}
388-
389-_ACEOF
390-rm -f conftest$ac_exeext
391-if { (ac_try="$ac_link"
392-case "(($ac_try" in
393- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
394- *) ac_try_echo=$ac_try;;
395-esac
396-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
397- (eval "$ac_link") 2>&5
398- ac_status=$?
399- echo "$as_me:$LINENO: \$? = $ac_status" >&5
400- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
401- { (case "(($ac_try" in
402- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
403- *) ac_try_echo=$ac_try;;
404-esac
405-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
406- (eval "$ac_try") 2>&5
407- ac_status=$?
408- echo "$as_me:$LINENO: \$? = $ac_status" >&5
409- (exit $ac_status); }; }; then
410- :
411-else
412- echo "$as_me: program exited with status $ac_status" >&5
413-echo "$as_me: failed program was:" >&5
414-sed 's/^/| /' conftest.$ac_ext >&5
415-
416-( exit $ac_status )
417-no_gtk=yes
418-fi
419-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
420-fi
421-
422-
423- CFLAGS="$ac_save_CFLAGS"
424- LIBS="$ac_save_LIBS"
425- fi
426- fi
427- if test "x$no_gtk" = x ; then
428- { echo "$as_me:$LINENO: result: yes (version $gtk_config_major_version.$gtk_config_minor_version.$gtk_config_micro_version)" >&5
429-echo "${ECHO_T}yes (version $gtk_config_major_version.$gtk_config_minor_version.$gtk_config_micro_version)" >&6; }
430- :
431- else
432- { echo "$as_me:$LINENO: result: no" >&5
433-echo "${ECHO_T}no" >&6; }
434- if test "$PKG_CONFIG" = "no" ; then
435- echo "*** A new enough version of pkg-config was not found."
436- echo "*** See http://pkgconfig.sourceforge.net"
437- else
438- if test -f conf.gtktest ; then
439- :
440- else
441- echo "*** Could not run GTK+ test program, checking why..."
442- ac_save_CFLAGS="$CFLAGS"
443- ac_save_LIBS="$LIBS"
444- CFLAGS="$CFLAGS $GTK_CFLAGS"
445- LIBS="$LIBS $GTK_LIBS"
446- cat >conftest.$ac_ext <<_ACEOF
447-/* confdefs.h. */
448-_ACEOF
449-cat confdefs.h >>conftest.$ac_ext
450-cat >>conftest.$ac_ext <<_ACEOF
451-/* end confdefs.h. */
452-
453-#include <gtk/gtk.h>
454-#include <stdio.h>
455-
456-int
457-main ()
458-{
459- return ((gtk_major_version) || (gtk_minor_version) || (gtk_micro_version));
460- ;
461- return 0;
462-}
463-_ACEOF
464-rm -f conftest.$ac_objext conftest$ac_exeext
465-if { (ac_try="$ac_link"
466-case "(($ac_try" in
467- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
468- *) ac_try_echo=$ac_try;;
469-esac
470-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
471- (eval "$ac_link") 2>conftest.er1
472- ac_status=$?
473- grep -v '^ *+' conftest.er1 >conftest.err
474- rm -f conftest.er1
475- cat conftest.err >&5
476- echo "$as_me:$LINENO: \$? = $ac_status" >&5
477- (exit $ac_status); } && {
478- test -z "$ac_c_werror_flag" ||
479- test ! -s conftest.err
480- } && test -s conftest$ac_exeext &&
481- $as_test_x conftest$ac_exeext; then
482- echo "*** The test program compiled, but did not run. This usually means"
483- echo "*** that the run-time linker is not finding GTK+ or finding the wrong"
484- echo "*** version of GTK+. If it is not finding GTK+, you'll need to set your"
485- echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
486- echo "*** to the installed location Also, make sure you have run ldconfig if that"
487- echo "*** is required on your system"
488- echo "***"
489- echo "*** If you have an old version installed, it is best to remove it, although"
490- echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"
491-else
492- echo "$as_me: failed program was:" >&5
493-sed 's/^/| /' conftest.$ac_ext >&5
494-
495- echo "*** The test program failed to compile or link. See the file config.log for the"
496- echo "*** exact error that occured. This usually means GTK+ is incorrectly installed."
497-fi
498-
499-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
500- conftest$ac_exeext conftest.$ac_ext
501- CFLAGS="$ac_save_CFLAGS"
502- LIBS="$ac_save_LIBS"
503- fi
504- fi
505- GTK_CFLAGS=""
506- GTK_LIBS=""
507- { { echo "$as_me:$LINENO: error: Test for Gtk failed. See the 'INSTALL' for help." >&5
508-echo "$as_me: error: Test for Gtk failed. See the 'INSTALL' for help." >&2;}
509- { (exit 1); exit 1; }; }
510- fi
511-
512-
513- rm -f conf.gtktest
514-
515-
516 # Check whether --enable-deprecated was given.
517 if test "${enable_deprecated+set}" = set; then
518 enableval=$enable_deprecated; GTK_CFLAGS="$GTK_CFLAGS -DG_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED"
519@@ -25590,8 +25128,12 @@ if test x"$use_threads" = xyes ; then
520 { echo "$as_me:$LINENO: result: yes" >&5
521 echo "${ECHO_T}yes" >&6; }
522 if $PKG_CONFIG --exists gthread-2.0 ; then
523- CFLAGS="$CFLAGS `$PKG_CONFIG --cflags gthread-2.0`"
524- LIBS="$LIBS `$PKG_CONFIG --libs gthread-2.0`"
525+ if test "$cross_compiling" = yes; then
526+ :
527+ else
528+ CFLAGS="$CFLAGS `$PKG_CONFIG --cflags gthread-2.0`"
529+ LIBS="$LIBS `$PKG_CONFIG --libs gthread-2.0`"
530+ fi
531
532 cat >>confdefs.h <<\_ACEOF
533 #define USE_THREADS 1